Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
    
      //show loading screen
    this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    this.load.image('bg', 'img/MW_main_background.jpg');
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/MW_main_tytul.png');
    this.load.image('pomocnik', 'img/MW_main_przewodnik.png');
    this.load.spritesheet('play_1', 'img/MW_cyfry_button_1.png',168,168,3);
      this.load.spritesheet('play_2', 'img/MW_cyfry_button_2.png',168,168,3); 
      this.load.spritesheet('play_3', 'img/MW_cyfry_button_3.png',168,168,3); 
      this.load.spritesheet('play_4', 'img/MW_cyfry_button_4.png',168,168,3); 
      this.load.spritesheet('play_5', 'img/MW_cyfry_button_5.png',168,168,3); 
    //this.load.tilemap('level2', 'img/level2m.json', null, Phaser.Tilemap.TILED_JSON);
    this.load.image('tiles-2', 'img/tiles-2.png');
    this.load.image('tiles-1', 'img/tiles-1.png');
    this.load.image('tiles-3', 'img/tiles-3.png');
    this.load.spritesheet('literki_1', 'img/literki_1.png',64,64);
      this.load.spritesheet('literki_2', 'img/literki_2.png',64,64);
      this.load.spritesheet('literki_3', 'img/literki_3.png',64,64);
      this.load.spritesheet('literki_4', 'img/literki_4.png',64,64);
      this.load.spritesheet('literki_5', 'img/literki_5.png',64,64);
      
    this.load.spritesheet('gracz', 'img/zbieranie_liter_gracz.png', 64,64);
      this.load.image('guiBg', 'img/MW_litery_ramka.png');
      this.load.image('guiPomocnik', 'img/MW_litery_przewodnik.png');
      this.load.spritesheet('cursor_left', 'img/MW_litery_strzalka_lewo.png', 73,73);
      this.load.spritesheet('cursor_right', 'img/MW_litery_strzalka_prawo.png', 73,73);
      this.load.spritesheet('cursor_up', 'img/MW_litery_strzalka_gora.png',73,73);
      this.load.spritesheet('cursor_down', 'img/MW_litery_strzalka_dol.png',73,73);
      this.load.spritesheet('lifeScore', 'img/MW_litery_serce.png');
      this.load.spritesheet('helpButton', 'img/MW_litery_button_info.png',130,133);
      this.load.image('helpBubble', 'img/MW_litery_ramka_zasady.png');
      this.load.image('Finish', 'img/MW_koniec.png');

  },    
  create: function() {
    this.state.start('Menu');
  },

};